package gov.va.vinci.dart.json;

public class WorkflowStatusView implements Comparable {

	private int workflowId = 0;
//	private String workflowName = "";
	private String status = "";
	private String statusClass = "";

	
	public int getWorkflowId() {
		return workflowId;
	}

	public void setWorkflowId(int workflowId) {
		this.workflowId = workflowId;
	}

//	public String getWorkflowName() {
//		return workflowName;
//	}
//	
//	public void setWorkflowName(String workflowName) {
//		this.workflowName = workflowName;
//	}
	
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	public String getStatusClass() {
		return statusClass;
	}

	public void setStatusClass(String statusClass) {
		this.statusClass = statusClass;
	}

	
	@Override
	public int compareTo(Object obj) {
		if( obj == null ) {
			return -1;
		}
		if ((obj instanceof WorkflowStatusView) == false) {
			return -1;
		}

		WorkflowStatusView obj2 = (WorkflowStatusView)obj;

		// sort by workflowId
		if (this.workflowId == obj2.workflowId) {
			return 0;
		}
		
		return this.workflowId < obj2.workflowId ? -1 : 1;
	}
}
